# Thermogravimetric Analysis in Python

[![Code style: black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)

## Overview
PyTGA is a Python module designed for conducting and analyzing Thermogravimetric Analysis (TGA) experiments. It offers tools for loading, processing, and analyzing TGA data, focusing on proximate and oxidation analysis, solid distillation analysis, and deconvolution analysis.

## Features
- **Data Loading**: Supports loading TGA data from files.
- **Proximate Analysis**: Calculates moisture, ash, and volatile matter.
- **Oxidation Analysis**: Computes Ti, Tp, Tb, etc.
- **Solid Distillation Analysis**: Analyzes solid distillation over time.
- **Deconvolution Analysis**: Deconvolutes TGA curves for peak analysis.
- **Plotting and Visualization**: Functions for TGA data visualization.

## Example
The example is available in the example folder that can be found using the project link homepage. Necessary data are provided. The example demonstrates how to use the tga_data_analysis package for basic TGA data analysis and visualization, the example requires downloading the data, installing the package, and setting the folder path to the example data folder.
